Subject: Re: bug#68947: 30.0.50; Gnus article mode keybindings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Feb 2024 20:15:19 +0200

> Cc: [email-masked]
> From: Eric Abrahamsen <[email-masked]>
> Date: Sat, 10 Feb 2024 10:09:14 -0800
> 
> Your immediate issue is caused by the fact that
> `gnus-article-describe-bindings', which theoretically should be
> responsible for telling the user about all the redirections, is only
> aware of the "S" keymap prefix. It doesn't know all the ways in which an
> 'undefined binding might get translated into a valid summary-mode
> command, and can't show you those.
> 
> To be honest, I don't think I'm going to be able to fix this. If we keep
> the current implementation, `gnus-article-describe-bindings' would have
> to be made aware of the additional redirections, and I wouldn't even
> know where to start.
> 
> It could be that Elisp has better tools for this situation by now (the
> original architecture was in place before 1997), but I'm not sure what
> those tools are. Perhaps someone will chime in with a helpful
> suggestion...

Strange as it may sound, I see no grave problem here: C-h is not
guaranteed to work after any arbitrary prefix, anyway.  So if that is
too hard to fix, we could just punt and leave it unsolved.

What about "C-h b" -- does that work in the situation described by the
recipe?